using UnityEngine;

public class GamePanel : BasePanel
{
    public TextMember leftBubbles;
    public GameObject[] guns;

    protected override void Update()
    {
        base.Update();
        for (int i = 0; i < guns.Length; i++)
        {
            guns[i].SetActive(game.level.player.currentGun.name == guns[i].name);
        }
        leftBubbles.text = $"{game.level.maxBubbles - game.level.bubbles.Count}";
    }

    [Member]
    public void Pause()
    {
        game.Pause();
    }
}